<!DOCTYPE html>
<html>
  <head>
    <title><%= title %></title>
    <link rel="stylesheet" href="/stylesheets/style.css" />
  </head>
  <style>
    * {
      margin: 0;
      padding: 0;
    }

    .container {
      box-sizing: border-box;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;

      width: 100%;

      font-size: 18px;
      font-weight: 900;
    }

    .container > ul.page-list {
      list-style: none;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    }

    .container > ul.page-list > li.list-item {
      box-sizing: border-box;

      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;

      padding: 8px 16px;
      margin: 8px 16px;
    }

    @media screen and (max-width: 768px) {
      .container {
        width: 768px;
      }
    }

    @media screen and (max-width: 414px) {
      body {
        background-color: blue;
      }
    }

    /* On screens that are 600px or less, set the background color to olive */
    @media screen and (max-width: 320px) {
      body {
        background-color: olive;
      }
    }
  </style>

  <!-- The core Firebase JS SDK is always required and must be listed first -->
  <script src="https://www.gstatic.com/firebasejs/8.7.0/firebase-app.js"></script>

  <!-- TODO: Add SDKs for Firebase products that you want to use
     https://firebase.google.com/docs/web/setup#available-libraries -->
  <script src="https://www.gstatic.com/firebasejs/8.7.0/firebase-analytics.js"></script>

  <script>
    // Your web app's Firebase configuration
    // For Firebase JS SDK v7.20.0 and later, measurementId is optional
    var firebaseConfig = {
      apiKey: "AIzaSyBev-9po9YI9KxI0vU_CKq1a7wMhBPM35U",
      authDomain: "charles-bookmarks.firebaseapp.com",
      databaseURL:
        "https://charles-bookmarks-default-rtdb.asia-southeast1.firebasedatabase.app",
      projectId: "charles-bookmarks",
      storageBucket: "charles-bookmarks.appspot.com",
      messagingSenderId: "426130781714",
      appId: "1:426130781714:web:8cc77985865011b4f94acb",
      measurementId: "G-7MS6LPB4NL",
    };
    // Initialize Firebase
    firebase.initializeApp(firebaseConfig);
    firebase.analytics();
  </script>

  <body>
    <div class="container">
      <h1><%= title %></h1>
      <p>Welcome to <%= title %></p>
      <ul class="page-list">
        <li class="list-item">
          <a href="./admin/manageDashboard">Dashboard Page</a>
        </li>
        <li class="list-item">
          <a href="./client/bookmark">Bookmark Page</a>
        </li>
      </ul>
    </div>
  </body>
</html>
